Bug 1126666 - qemu-kvm does not quit when booting guest w/ 161 vcpus and "-no-kvm"
Summary: qemu-kvm does not quit when booting guest w/ 161 vcpus and "-no-kvm"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Marcelo Tosatti
QA Contact: FuXiangChun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 03:12 UTC by FuXiangChun
Modified: 2016-11-07 20:15 UTC (History)
11 users (show)

Fixed In Version: qemu-kvm-rhev-2.6.0-11.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1076326
Environment:
Last Closed: 2016-11-07 20:15:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2673 normal SHIPPED_LIVE qemu-kvm-rhev bug fix and enhancement update 2016-11-08 01:06:13 UTC

Comment 1 Andrew Jones 2014-08-05 08:01:26 UTC
The 160 vcpu limit is a KVM limit, so when booting without kvm, -no-kvm, then that limit no longer matters. Does the windows guest boot on qemu using TCG at all? If so, how many cpus can be configured and still boot? Does it work with 160?

Comment 2 FuXiangChun 2014-08-06 11:11:24 UTC
(In reply to Andrew Jones from comment #1)
> The 160 vcpu limit is a KVM limit, so when booting without kvm, -no-kvm,
> then that limit no longer matters. Does the windows guest boot on qemu using
> TCG at all? If so, how many cpus can be configured and still boot? Does it
> work with 160?

For windows guest.
QE tested two scenarios.
1. /usr/libexec/qemu-kvm -M pc -no-kvm  -smp 1
2. /usr/libexec/qemu-kvm -machine pc,accel=tcg -no-kvm -smp 1

got the same result:
1. guest boot fail and show error code as below
error code:000000C4

For linux guest.
QE tested two scenarios.
1./usr/libexec/qemu-kvm -M q35 -no-kvm -smp 40 -m 4G
guest works

2./usr/libexec/qemu-kvm -M q35 -no-kvm -smp 50 -m 4G
guest kernel panic

Additional:
If remove -no-kvm option from command line for linux guest. then works with 160.

Comment 7 Miroslav Rezanina 2016-07-01 08:23:38 UTC
Fix included in qemu-kvm-rhev-2.6.0-11.el7

Comment 9 FuXiangChun 2016-09-01 10:54:36 UTC
According to comment2. verified this bug with qemu-kvm-rhev-2.6.0-22.el7.

result:

for windows guest-PASS(guest works well)
1. /usr/libexec/qemu-kvm -M pc -no-kvm  -smp 1
2. /usr/libexec/qemu-kvm -machine pc,accel=tcg -no-kvm -smp 1


For linux guest-PASS(guest works well)
1./usr/libexec/qemu-kvm -M q35 -no-kvm -smp 50 -m 4G
guest kernel panic

So,Base on this testing result. this bug is fixed.

Comment 11 errata-xmlrpc 2016-11-07 20:15:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2673.html


Note You need to log in before you can comment on or make changes to this bug.